Contents
Index 🔎︎

# Chr Function

Tagastab märgi, mis vastab määratud märgikoodile.

### Syntax:

Chr(Expression As Integer)

### Return value:

String

### Parameters:

Expression: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value.

When VBA compatibility mode is enabled (OPTION VBASUPPORT 1), Expression is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Erilise juhtjada saatmiseks pronterisse või muusse väljastusseadmesse kasuta funktsiooni Chr$. Selle funktsiooni abil saad ka stringavaldisse lisada jutumärgid.

## Error codes:

5 Vigane protseduuri väljakutse

6 Ületäitumine, when VBA compatibility mode is enabled and expression is greater than 255.

### Example:

            Sub ExampleChr
                REM Selles näites lisatakse stringi jutumärgid (ASCII-väärtus 34).
                MsgBox "A "+ Chr$(34)+"short" + Chr$(34)+" trip."
                REM Dialoogis kuvatakse väljaprinditav tekst järgmisena: A "short" trip.
            End Sub

Sarnased teemad

ASC